API referenceLinkedin messaging
A write (message). The member's own message, its new text; LinkedIn takes an edit for an hour after sending.
X-API-KEY<token>
Your API key from the console (gw_live_…).
In: header
Path Parameters
id*string
A LinkedIn message id (lgm_…), as message_id in a message list or a message_received event.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/messages/lgm_Zm9vYmFyYmF6cXV4" \ -H "Content-Type: application/json" \ -d '{ "text": "string" }'{ "object": "MessagePatched"}